#!/bin/bash
set -e

cd "$(dirname "$0")/steam-gift-manager"

declare -A locales=(
  ["de"]="de"
  ["en"]="en"
)

# POT-Datei erstellen
docker-compose exec steam-manager pybabel extract -F babel.cfg -o translations/messages.pot .

# Für jede Sprache prüfen und ggf. initialisieren
for lang in "${!locales[@]}"; do
  if [ ! -f "translations/${locales[$lang]}/LC_MESSAGES/messages.po" ]; then
    docker-compose exec steam-manager pybabel init \
      -i translations/messages.pot \
      -d translations \
      -l "${locales[$lang]}"
  fi
done

# Übersetzungen aktualisieren und kompilieren
docker-compose exec steam-manager pybabel update -i translations/messages.pot -d translations
docker-compose exec steam-manager pybabel compile -d translations

echo "✅ Übersetzungen aktualisiert!"
